//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Security;
using System.Web.Services;
using System.Web.Services.Protocols;

namespace CommunityServer.Components
{
	/// <summary>
	/// Summary description for MembershipService.
	/// </summary>
	public class MembershipService : CSWebServiceBase
	{
		public MembershipService()
		{
		}

        [WebMethod(MessageName="Validate",Description="Validates if the credentials supplied in the Credentials header are valid",EnableSession=false)]
        [SoapHeader("Credentials")]
        public override bool Validate()
        {
            try
            {
                return base.Validate();
            }
            catch(SecurityException)
            {
                return false;
            }
        }

	    protected override void AllocateSection()
	    {
	     
	    }
	}
}
